<html>
<head>
<title>Ogre::D3D9HardwarePixelBuffer::BufferResources Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1D3D9HardwarePixelBuffer.html">D3D9HardwarePixelBuffer</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html">BufferResources</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::D3D9HardwarePixelBuffer::BufferResources Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::D3D9HardwarePixelBuffer::BufferResources" -->
<p><code>#include &lt;<a class="el" href="OgreD3D9HardwarePixelBuffer_8h_source.html">OgreD3D9HardwarePixelBuffer.h</a>&gt;</code></p>

<p><a href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IDirect3DSurface9 *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html#a694a29abce4a069e039f954151a7db7c">surface</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Surface abstracted by this buffer.  <a href="#a694a29abce4a069e039f954151a7db7c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IDirect3DSurface9 *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html#aabe666b10a0411cc1578f04480f87a23">fSAASurface</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">AA Surface abstracted by this buffer.  <a href="#aabe666b10a0411cc1578f04480f87a23"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IDirect3DVolume9 *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html#a2cd30c4fd53337eee67dcfb4dd304029">volume</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Volume abstracted by this buffer.  <a href="#a2cd30c4fd53337eee67dcfb4dd304029"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IDirect3DSurface9 *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html#a0585f6e5eb2755ff483141187ffff981">tempSurface</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Temporary surface in main memory if direct locking of mSurface is not possible.  <a href="#a0585f6e5eb2755ff483141187ffff981"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IDirect3DVolume9 *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html#ac6f7ef26dcbc86362004ddb68b72f60f">tempVolume</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Temporary volume in main memory if direct locking of mVolume is not possible.  <a href="#ac6f7ef26dcbc86362004ddb68b72f60f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IDirect3DBaseTexture9 *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html#a3ed264105675df824f409f8e403a05ac">mipTex</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Mip map texture.  <a href="#a3ed264105675df824f409f8e403a05ac"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreD3D9HardwarePixelBuffer_8h_source.html#l00042">42</a> of file <a class="el" href="OgreD3D9HardwarePixelBuffer_8h_source.html">OgreD3D9HardwarePixelBuffer.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aabe666b10a0411cc1578f04480f87a23"></a><!-- doxytag: member="Ogre::D3D9HardwarePixelBuffer::BufferResources::fSAASurface" ref="aabe666b10a0411cc1578f04480f87a23" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IDirect3DSurface9* <a class="el" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html#aabe666b10a0411cc1578f04480f87a23">Ogre::D3D9HardwarePixelBuffer::BufferResources::fSAASurface</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>AA Surface abstracted by this buffer. </p>

<p>Definition at line <a class="el" href="OgreD3D9HardwarePixelBuffer_8h_source.html#l00047">47</a> of file <a class="el" href="OgreD3D9HardwarePixelBuffer_8h_source.html">OgreD3D9HardwarePixelBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3ed264105675df824f409f8e403a05ac"></a><!-- doxytag: member="Ogre::D3D9HardwarePixelBuffer::BufferResources::mipTex" ref="a3ed264105675df824f409f8e403a05ac" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IDirect3DBaseTexture9* <a class="el" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html#a3ed264105675df824f409f8e403a05ac">Ogre::D3D9HardwarePixelBuffer::BufferResources::mipTex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Mip map texture. </p>

<p>Definition at line <a class="el" href="OgreD3D9HardwarePixelBuffer_8h_source.html#l00055">55</a> of file <a class="el" href="OgreD3D9HardwarePixelBuffer_8h_source.html">OgreD3D9HardwarePixelBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a694a29abce4a069e039f954151a7db7c"></a><!-- doxytag: member="Ogre::D3D9HardwarePixelBuffer::BufferResources::surface" ref="a694a29abce4a069e039f954151a7db7c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IDirect3DSurface9* <a class="el" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html#a694a29abce4a069e039f954151a7db7c">Ogre::D3D9HardwarePixelBuffer::BufferResources::surface</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Surface abstracted by this buffer. </p>

<p>Definition at line <a class="el" href="OgreD3D9HardwarePixelBuffer_8h_source.html#l00045">45</a> of file <a class="el" href="OgreD3D9HardwarePixelBuffer_8h_source.html">OgreD3D9HardwarePixelBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0585f6e5eb2755ff483141187ffff981"></a><!-- doxytag: member="Ogre::D3D9HardwarePixelBuffer::BufferResources::tempSurface" ref="a0585f6e5eb2755ff483141187ffff981" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IDirect3DSurface9* <a class="el" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html#a0585f6e5eb2755ff483141187ffff981">Ogre::D3D9HardwarePixelBuffer::BufferResources::tempSurface</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Temporary surface in main memory if direct locking of mSurface is not possible. </p>

<p>Definition at line <a class="el" href="OgreD3D9HardwarePixelBuffer_8h_source.html#l00051">51</a> of file <a class="el" href="OgreD3D9HardwarePixelBuffer_8h_source.html">OgreD3D9HardwarePixelBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac6f7ef26dcbc86362004ddb68b72f60f"></a><!-- doxytag: member="Ogre::D3D9HardwarePixelBuffer::BufferResources::tempVolume" ref="ac6f7ef26dcbc86362004ddb68b72f60f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IDirect3DVolume9* <a class="el" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html#ac6f7ef26dcbc86362004ddb68b72f60f">Ogre::D3D9HardwarePixelBuffer::BufferResources::tempVolume</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Temporary volume in main memory if direct locking of mVolume is not possible. </p>

<p>Definition at line <a class="el" href="OgreD3D9HardwarePixelBuffer_8h_source.html#l00053">53</a> of file <a class="el" href="OgreD3D9HardwarePixelBuffer_8h_source.html">OgreD3D9HardwarePixelBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2cd30c4fd53337eee67dcfb4dd304029"></a><!-- doxytag: member="Ogre::D3D9HardwarePixelBuffer::BufferResources::volume" ref="a2cd30c4fd53337eee67dcfb4dd304029" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IDirect3DVolume9* <a class="el" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html#a2cd30c4fd53337eee67dcfb4dd304029">Ogre::D3D9HardwarePixelBuffer::BufferResources::volume</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Volume abstracted by this buffer. </p>

<p>Definition at line <a class="el" href="OgreD3D9HardwarePixelBuffer_8h_source.html#l00049">49</a> of file <a class="el" href="OgreD3D9HardwarePixelBuffer_8h_source.html">OgreD3D9HardwarePixelBuffer.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreD3D9HardwarePixelBuffer_8h_source.html">OgreD3D9HardwarePixelBuffer.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:16
</p>
</body>
</html>
